/*
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef FD_update_funds_h_

#define FD_update_funds_h_

/*#include <forms.h>*/

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <pwd.h>
#include <sys/file.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <sys/time.h>
#include <time.h>
#include <unistd.h> /* for crypt() */
#include <sys/stat.h> /* for stat */
#include <ctype.h> /* for isdigit */
/* DO NOT #include <arpa/inet.h>*/  /* for inet_ntoa gcc -Wall gets confused */
/* To avoid error msg I have proto typed inet_ntoa( unsigned long) (it is) */ 
#include <signal.h>
#include <sys/wait.h>
#include <asm/io.h>
#include <strings.h>
#include <string.h>
#include <getopt.h>

/*
#include <sys/un.h>
#include <sys/types.h>
#include <sys/time.h>
#include <errno.h>
#include <termios.h>
#include <sys/ioctl.h>
#include <setjmp.h>
*/

#include "update_funds_proto.h"

#define READSIZE 65535
#define TEMPSIZE 65535

/* for new_data in update_krs_file() */
#define NEW_DATA		1
#define CLOSED			2
#define EX_DIVIDENT		4

char *home_dir;
char *user_name;
int debug_flag;

/*#define DATADIR "/root/compile/update_funds/data"*/
#define DATADIR "/root/download/financial/data"

#endif /* FD_update_funds_h_ */
